# Uses of Enum Class
org.apache.sysds.runtime.compress.colgroup.AColGroup.CompressionType

Packages that use AColGroup.CompressionType
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.colgroup.scheme
org.apache.sysds.runtime.compress.estim
org.apache.sysds.runtime.compress.lib
org.apache.sysds.runtime.compress.plan

## Uses of AColGroup.CompressionType in org.apache.sysds.runtime.compress

Fields in org.apache.sysds.runtime.compress with type parameters of type AColGroup.CompressionType
Modifier and Type
Field
Description
`final EnumSet<AColGroup.CompressionType>`
CompressionSettings.`validCompressions`
Valid Compressions List, containing the ColGroup CompressionTypes that are allowed to be used for the compression Default is to always allow for Uncompromisable ColGroup.
Methods in org.apache.sysds.runtime.compress with parameters of type AColGroup.CompressionType
Modifier and Type
Method
Description
`CompressionSettingsBuilder`
CompressionSettingsBuilder.`addValidCompression(AColGroup.CompressionType cp)`
Add a single valid compression type to the EnumSet of valid compressions.
Method parameters in org.apache.sysds.runtime.compress with type arguments of type AColGroup.CompressionType
Modifier and Type
Method
Description
`CompressionSettingsBuilder`
CompressionSettingsBuilder.`setValidCompressions(EnumSet<AColGroup.CompressionType> validCompressions)`
Set the valid compression strategies used for the compression.

## Uses of AColGroup.CompressionType in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup that return AColGroup.CompressionType
Modifier and Type
Method
Description
`abstract AColGroup.CompressionType`
AColGroup.`getCompType()`
Obtain the compression type.
`AColGroup.CompressionType`
ColGroupConst.`getCompType()`
`AColGroup.CompressionType`
ColGroupDDC.`getCompType()`
`AColGroup.CompressionType`
ColGroupDDCFOR.`getCompType()`
`AColGroup.CompressionType`
ColGroupDDCLZW.`getCompType()`
`AColGroup.CompressionType`
ColGroupDeltaDDC.`getCompType()`
`AColGroup.CompressionType`
ColGroupEmpty.`getCompType()`
`AColGroup.CompressionType`
ColGroupLinearFunctional.`getCompType()`
`AColGroup.CompressionType`
ColGroupOLE.`getCompType()`
`AColGroup.CompressionType`
ColGroupRLE.`getCompType()`
`AColGroup.CompressionType`
ColGroupSDC.`getCompType()`
`AColGroup.CompressionType`
ColGroupSDCFOR.`getCompType()`
`AColGroup.CompressionType`
ColGroupSDCSingle.`getCompType()`
`AColGroup.CompressionType`
ColGroupSDCSingleZeros.`getCompType()`
`AColGroup.CompressionType`
ColGroupSDCZeros.`getCompType()`
`AColGroup.CompressionType`
ColGroupUncompressed.`getCompType()`
`AColGroup.CompressionType`
ColGroupUncompressedArray.`getCompType()`
`static AColGroup.CompressionType`
AColGroup.CompressionType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AColGroup.CompressionType[]`
AColGroup.CompressionType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type AColGroup.CompressionType
Modifier and Type
Method
Description
`AColGroup`
AColGroup.`morph(AColGroup.CompressionType ct, int nRow)`
Recompress this column group into a new column group of the given type.
`AColGroup`
ASDC.`morph(AColGroup.CompressionType ct, int nRow)`
`AColGroup`
ASDCZero.`morph(AColGroup.CompressionType ct, int nRow)`
`AColGroup`
ColGroupDDC.`morph(AColGroup.CompressionType ct, int nRow)`
`AColGroup`
ColGroupSDC.`morph(AColGroup.CompressionType ct, int nRow)`
`AColGroup`
ColGroupSDCZeros.`morph(AColGroup.CompressionType ct, int nRow)`
`AColGroup`
ColGroupUncompressed.`morph(AColGroup.CompressionType ct, int nRow)`

## Uses of AColGroup.CompressionType in org.apache.sysds.runtime.compress.colgroup.scheme

Methods in org.apache.sysds.runtime.compress.colgroup.scheme with parameters of type AColGroup.CompressionType
Modifier and Type
Method
Description
`static ICLAScheme`
SchemeFactory.`create(IColIndex columns, AColGroup.CompressionType type)`

## Uses of AColGroup.CompressionType in org.apache.sysds.runtime.compress.estim

Methods in org.apache.sysds.runtime.compress.estim that return AColGroup.CompressionType
Modifier and Type
Method
Description
`AColGroup.CompressionType`
CompressedSizeInfoColGroup.`getBestCompressionType()`
`AColGroup.CompressionType`
CompressedSizeInfoColGroup.`getBestCompressionType(CompressionSettings cs)`
Methods in org.apache.sysds.runtime.compress.estim that return types with arguments of type AColGroup.CompressionType
Modifier and Type
Method
Description
`Map<AColGroup.CompressionType,Double>`
CompressedSizeInfoColGroup.`getAllCompressionSizes()`
Methods in org.apache.sysds.runtime.compress.estim with parameters of type AColGroup.CompressionType
Modifier and Type
Method
Description
`double`
CompressedSizeInfoColGroup.`getCompressionSize(AColGroup.CompressionType ct)`
Constructors in org.apache.sysds.runtime.compress.estim with parameters of type AColGroup.CompressionType
Modifier
Constructor
Description
``
`CompressedSizeInfoColGroup(IColIndex cols, int nVal, int nRow, AColGroup.CompressionType bestCompressionType)`
``
`CompressedSizeInfoColGroup(IColIndex columns, int nRows, AColGroup.CompressionType ct)`
Create empty or const.
``
`CompressedSizeInfoColGroup(IColIndex cols, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompressionType)`
``
`CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, long minSize, AColGroup.CompressionType bestCompression, IEncode map)`
``
`CompressedSizeInfoColGroup(IColIndex cols, EstimationFactors facts, AColGroup.CompressionType bestCompressionType)`
Constructor parameters in org.apache.sysds.runtime.compress.estim with type arguments of type AColGroup.CompressionType
Modifier
Constructor
Description
``
`CompressedSizeInfoColGroup(IColIndex columns, EstimationFactors facts, Set<AColGroup.CompressionType> validCompressionTypes, IEncode map)`

## Uses of AColGroup.CompressionType in org.apache.sysds.runtime.compress.lib

Methods in org.apache.sysds.runtime.compress.lib with parameters of type AColGroup.CompressionType
Modifier and Type
Method
Description
`static CompressionScheme`
CLALibScheme.`genScheme(AColGroup.CompressionType type, int nCols)`
Generate a scheme with the given type of columnGroup and number of columns in each group

## Uses of AColGroup.CompressionType in org.apache.sysds.runtime.compress.plan

Methods in org.apache.sysds.runtime.compress.plan with parameters of type AColGroup.CompressionType
Modifier and Type
Method
Description
`static IPlanEncode`
CompressionPlanFactory.`create(IColIndex[] columnGroups, AColGroup.CompressionType[] type, int k)`
`static IPlanEncode`
CompressionPlanFactory.`nCols(int nCol, int n, AColGroup.CompressionType type, int k)`
`static IPlanEncode`
CompressionPlanFactory.`singleCols(int nCol, AColGroup.CompressionType type, int k)`
`static IPlanEncode`
CompressionPlanFactory.`twoCols(int nCol, AColGroup.CompressionType type, int k)`